Skip to main content

}

Get notification details

GET https://checkout-eu-a.paysera.com/notification/rest/v1/notifications/{notification_id}

Retrieve full notification details using the notification ID received in the callback.

After receiving a notification_id in your callback URL, use this endpoint to fetch the complete payment event details.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
notification_idstring✓The notification ID received in the callback

Example​

Request​

GET https://checkout-eu-a.paysera.com/notification/rest/v1/notifications/{notification_id}
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{
"id": "xyz789notification",
"event": "payment_request.captured",
"data": {
"payment_request": {
"id": "abc123payment",
"status": "captured",
"order_id": "SUB_12345",
"price_paid": {
"amount": 999,
"currency": "EUR"
},
"payer": {
"email": "customer@example.com",
"name": "John",
"surname": "Doe",
"account_number": "EVP1234567"
},
"created_at": "2025-12-15T10:30:00Z",
"captured_at": "2025-12-15T10:30:45Z",
"issued_token": "vLUGdTtnDjQs7Yv0fjYQyYfG60m"
}
},
"created_at": "2025-12-15T10:30:45Z"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://checkout-eu-a.paysera.com

RESPONSE

Notification details
{
"id": "xyz789notification",
"status": "new",
"event": "payment_request.captured",
"data": {
"payment_request": {
"id": "abc123payment",
"status": "captured",
"order_id": "SUB_12345",
"price_paid": {
"amount": 999,
"currency": "EUR"
},
"payer": {
"email": "customer@example.com",
"name": "John",
"surname": "Doe",
"account_number": "401200XXXXXX1112"
},
"created_at": 1734258600,
"token_strategy": "required",
"issued_token": "vLUGdTtnDjQs7Yv0fjYQyYfG60m"
}
},
"created_at": 1734258645
}